Get secret by ID
curl --request GET \
--url https://your-syteca-host/SytecaACB/api/secrets/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://your-syteca-host/SytecaACB/api/secrets/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://your-syteca-host/SytecaACB/api/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"type": "None",
"login": "<string>",
"description": "<string>",
"parent_folder_id": 123,
"domain": "<string>",
"computer_name": "<string>",
"url": "<string>",
"server": "<string>",
"computers": [
"<string>"
],
"file_transfer": {
"protocol": "Sftp",
"port": 22
},
"rotation": {
"enabled": true,
"rotate_every_min": 2
},
"record_activities": true,
"check_out": {
"enabled": true,
"rotate_on_checkin": true,
"auto_checkin_after_min": 60
},
"require_approval": {
"require_approval_type": "None",
"approver_users": [
"<string>"
],
"approver_user_groups": [
"<string>"
],
"require_owners_and_approvers": false,
"working_dates": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"working_hours": {
"from": "<string>",
"to": "<string>"
},
"working_days": [
"Sunday"
]
},
"permissions": {
"inherit_users_and_roles": false,
"inherit_features": false,
"users": [
{
"name": "<string>",
"access_type": "None",
"features": [
"CopyPassword"
]
}
],
"user_groups": [
{
"name": "<string>",
"access_type": "None",
"features": [
"CopyPassword"
]
}
]
},
"check_password": {
"enabled": false,
"check_every": 30,
"check_period_type": "Minute"
},
"check_password_status": "None",
"last_password_check_utc": "2023-11-07T05:31:56Z",
"password_rotation_status": "Disabled",
"last_password_rotation_utc": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}Secrets
Get secret by ID
Retrieves a specific secret by its ID (without password data)
GET
/
api
/
secrets
/
{id}
Get secret by ID
Authorizations
Access token for authentication
Path Parameters
The ID of the secret to retrieve
Required range:
x >= 1Response
Secret retrieved successfully
Unique identifier of the secret
Name of the secret
Type of secret
Available options:
None, UnixAccountSSH, UnixAccountTelnet, WindowsAccount, ADAccount, WebAccount, MSSQLAccount Login username
Description of the secret
ID of the parent folder
Domain for AD accounts
Computer name for Windows/Unix accounts
URL for web accounts
Server for database accounts
List of computers
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to record activities for this secret
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Status of the last password check (heartbeat)
Available options:
None, Valid, Invalid, Failed UTC timestamp of the last password check
Status of password rotation
Available options:
Disabled, Enabled, Failed UTC timestamp of the last password rotation